Get Status of Zip Extract Operation
Description
This API allows you to get the status of an extract operation that is being performed on a zipped object stored in a bucket. The Bucket is referred by its unique bucket name, and the required object is referred using its name.
Request Details
Request URL
{api-domain}/baas/v1/project/{project_id}/bucket/object/zip-extract/{taskId}
Query Parameters
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Optional Headers
CATALYST-ORG: {org_id}
Environment: Development
Scope
ZohoCatalyst.buckets.objects.READ
Response Details
On successful execution, the response will contain the status of the required extraction process being performed on a zipped object in Stratus.
curl -X GET https://api.catalyst.zoho.com/baas/v1/project/31594000000567522/bucket/object/zip-extract/status
-H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”
{
"status": "success",
"data": {
"task_status": "PENDING | COMPLETED | FAILED"
}
}
Yes
No
Send your feedback to us